// ComposeInfo.cpp: implementation of the CComposeInfo class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "imagegrinder.h"
#include "ComposeInfo.h"


//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CComposeInfo::CComposeInfo()
{
//Segs=NULL;
MaxSeg=NumSeg=0;
}

CComposeInfo::~CComposeInfo()
{
/*
if(Segs)
	delete Segs;
*/
}

void CComposeInfo::Init(int size)
{
ASSERT(size<1024);
/*
if(Segs)
	delete Segs;
Segs=new GridSeg[size];
MaxSeg=size;
NumSeg=0;
*/
MaxSeg=1024;
NumSeg=0;
}

void CComposeInfo::AddSeg(GridSeg &seg)
{
ASSERT(Segs);
ASSERT(NumSeg<=MaxSeg);

Segs[NumSeg++]=seg;
}
